﻿<UserControl x:Class="TheTrader.WPF.Views.LoginView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:viewModels="clr-namespace:TheTrader.WPF.ViewModels"
             d:DataContext="{d:DesignInstance viewModels:LoginViewModel}"
             FontSize="20"
             mc:Ignorable="d">
    <UserControl.Background>
        <ImageBrush ImageSource="/Resources/login-background.png" Opacity="0.75" Stretch="UniformToFill" />
    </UserControl.Background>

    <Border Margin="25" Padding="40"
            HorizontalAlignment="Center" VerticalAlignment="Center"
            Background="White"
            BorderBrush="{StaticResource BrushPrimaryDark}"
            BorderThickness="3" CornerRadius="10">
        <Border.Effect>
            <DropShadowEffect Color="Gray" BlurRadius="10" />
        </Border.Effect>
        <Grid Margin="20" HorizontalAlignment="Center" IsSharedSizeScope="True">
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto" />
                <RowDefinition Height="Auto" />
                <RowDefinition Height="Auto" />
            </Grid.RowDefinitions>

            <TextBlock Grid.Row="0"
                       HorizontalAlignment="Center"
                       FontSize="40" Text="The Trader" />

            <TextBlock Grid.Row="1"
                       Margin="0,10" HorizontalAlignment="Center"
                       FontSize="18" FontWeight="Thin"
                       Text="The world's simplest stock trading application." />

            <Grid Grid.Row="2" Margin="0,20,0,0">
                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto" />
                    <RowDefinition Height="Auto" />
                    <RowDefinition Height="Auto" />
                </Grid.RowDefinitions>

                <Grid Grid.Row="0" Margin="0,10">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="Auto" SharedSizeGroup="Label" />
                        <ColumnDefinition Width="250" />
                    </Grid.ColumnDefinitions>
                    <TextBlock Grid.Column="0" Margin="0,0,10,0" Text="Username:" />
                    <TextBox Grid.Column="1" HorizontalContentAlignment="Center"
                             Text="{Binding Username, UpdateSourceTrigger=PropertyChanged}" />
                </Grid>

                <Grid Grid.Row="1" Margin="0,10">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="Auto" SharedSizeGroup="Label" />
                        <ColumnDefinition Width="250" />
                    </Grid.ColumnDefinitions>

                    <TextBlock Grid.Column="0" Margin="0,0,10,0" Text="Password:" />
                    <PasswordBox x:Name="PbPassword" Grid.Column="1" HorizontalContentAlignment="Center" />
                </Grid>

                <Button Grid.Row="2"
                        Margin="0,10,0,0" HorizontalAlignment="Stretch"
                        Click="Login_Click" Content="Login"
                        IsDefault="True" />
            </Grid>
        </Grid>
    </Border>
</UserControl>